Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.api.score.buildin.hardsoftlong
Class HardSoftLongScoreHolder

    java.lang.Object
      org.optaplanner.core.api.score.holder.AbstractScoreHolder
          org.optaplanner.core.api.score.buildin.hardsoftlong.HardSoftLongScoreHolder

All Implemented Interfaces:
  Serializable, ScoreHolder

    public class HardSoftLongScoreHolder

extends AbstractScoreHolder

See Also:
  `HardSoftLongScore`, Serialized Form

Field Summary
`protected long` | `hardScore`
`protected long` | `softScore`

Fields inherited from class org.optaplanner.core.api.score.holder.AbstractScoreHolder
`constraintMatchEnabled, constraintMatchTotalMap`

Constructor Summary
`HardSoftLongScoreHolder(boolean constraintMatchEnabled)`

Method Summary
`void` | `addHardConstraintMatch(org.kie.api.runtime.rule.RuleContext kcontext, long weight)`
`void` | `addSoftConstraintMatch(org.kie.api.runtime.rule.RuleContext kcontext, long weight)`
`Score` | `extractScore()` Extracts the `Score`, calculated by the `KieSession` for `DroolsScoreDirector`.
`long` | `getHardScore()`
`long` | `getSoftScore()`
`void` | `setHardScore(long hardScore)` Deprecated.
`void` | `setSoftScore(long softScore)` Deprecated.

Methods inherited from class org.optaplanner.core.api.score.holder.AbstractScoreHolder
`getConstraintMatchTotals, isConstraintMatchEnabled, registerBigDecimalConstraintMatch, registerDoubleConstraintMatch, registerIntConstraintMatch, registerLongConstraintMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hardScore

    protected long hardScore

### softScore

    protected long softScore

Constructor Detail

### HardSoftLongScoreHolder

    public HardSoftLongScoreHolder(boolean constraintMatchEnabled)

Method Detail

### getHardScore

    public long getHardScore()

### setHardScore

    @Deprecated
    public void setHardScore(long hardScore)

  Deprecated.

### getSoftScore

    public long getSoftScore()

### setSoftScore

    @Deprecated
    public void setSoftScore(long softScore)

  Deprecated.

### addHardConstraintMatch

    public void addHardConstraintMatch(org.kie.api.runtime.rule.RuleContext kcontext,
                                       long weight)

### addSoftConstraintMatch

    public void addSoftConstraintMatch(org.kie.api.runtime.rule.RuleContext kcontext,
                                       long weight)

### extractScore

    public Score extractScore()

  Description copied from interface: `ScoreHolder`
  Extracts the `Score`, calculated by the `KieSession` for `DroolsScoreDirector`. Should not be called directly, use `ScoreDirector.calculateScore()` instead.

  Returns:
    never null, the `Score` of the working `Solution`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.